package com.xypower.mppreview.utils;

import android.content.Context;

import androidx.camera.core.CameraInfo;
import androidx.camera.lifecycle.ProcessCameraProvider;

import com.google.common.util.concurrent.ListenableFuture;

import java.util.List;
import java.util.concurrent.ExecutionException;

public class CameraUtils {
    public static int getNumberOfCameras(Context context) {
        List<CameraInfo> availableCameraInfos;
        ListenableFuture<ProcessCameraProvider> instance = ProcessCameraProvider.getInstance(context);
        try {
            ProcessCameraProvider processCameraProvider = instance.get();
            availableCameraInfos = processCameraProvider.getAvailableCameraInfos();
        } catch (ExecutionException e) {
            throw new RuntimeException(e);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
        return availableCameraInfos.size();
    }

}